import GuestCard from '../GuestCard/GuestCard'
import './List.css'

type TProps = {
    title: string
    list: string[]
}

const List = ({title, list}: TProps) => {
  return (
    <div className='List'>
        <h2>{title}</h2>
        <div className='items'>
            {
                list.map((item, index) => (<GuestCard key={index} guestName={item}/>))
            }
        </div>
    </div>
  )
}

export default List