import { useState } from 'react'
import SendButton from '../components/SendButton/SendButton'
import List from '../components/List/List'
import './GuestList.css'

const GuestList = () => {
  const [guestList] = useState<string[]>(['john', 'stark', 'tramp', 'newton', 'omar', 'alya', 'beka'])
  const [resultList, setResultList] = useState<string[]>([])

  const onClickHandler = () => {
    const copyGuestList = guestList
    const randomList = copyGuestList.filter(item => {
      const random = Math.floor(Math.random() * 100)
      if(random > 50) return item
    })
    
    setResultList(randomList)
  }

  return (
    <div className='GuestList'>
      <div className='Lists'>
        <List title='Список всех гостей' list={guestList} />
        <List title='Список приглашенных гостей' list={resultList} />
      </div>

      <SendButton onClick={onClickHandler}/>
    </div>
  )
}

export default GuestList